Subject: Re: [PATCH] drivers/net: remove network drivers' last few uses of IRQF_SAMPLE_RANDOM

From: Alejandro Riveira Fernández<[email-masked]>
Date: Mon, 26 May 2008 15:43:26 +0200

El Sun, 25 May 2008 19:27:12 -0400
Theodore Tso <[email-masked]> escribió:

> On Mon, May 26, 2008 at 12:39:49AM +0930, Glen Turner wrote:
> > 
> > For example, /dev/random has run out. So the output of /dev/urandom
> > is now determined by previous values of /dev/random.  I then send in
> > a stack of network packets at regular intervals. So the output of
> > /dev/urandom is now greatly determined by those packets.  My search
> > space for the resulting key is small since /dev/urandom appears to
> > be random, but in fact is periodic.
> 
> That's not how it works.  Basically, as long as there is *some*
> entropy in the system, even from the /var/lib/random-seed, or from
> keyboard interrupts, or from mouse interrupts, which is unknown to the
> attacker, in the worse case /dev/urandom will be no worse than a
> cryptographic random number generator.
> 
 [ ... ] 
 
 Just a shot in the dark... would hw sensors (raw data) chips be a good source
 of entropy for /dev/random ?? 

> 		      	     	     	- Ted
> --
> To unsubscribe from this list: send the line "unsubscribe linux-kernel" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html
> Please read the FAQ at  http://www.tux.org/lkml/